*****
* Language     : Clipper 5.0 VF
* Date         : 1994
* Function     : Info_Floppy()                 - FREEWARE - 
* Author       : Philippe Bonnardel
* Compil       : /L/W
* Link         : INP.obj, OUTP.obj (author Ted Means - Nanfor.lib)
* Theme        : Return floppy drive types and sizes 
* Information  : Please post me a message if you like this function.
*              : My Compuserve User ID : 100604,1637
*****

#define PORT_70h    112
#define PORT_71h    113
#define X_10h       16

***
*  Info_Floppy()
*  -> No parameter
*  -> Return an array :
*     - aFlop[1] = Floppy drive type and size (A:)
*     - aFlop[2] = Floppy drive type and size (B:, if it exists...)
***
FUNCTION INFO_FLOPPY ()
LOCAL nVal, aFlop := {}
FT_OUTP(PORT_70h, X_10h)                  // To get the information from CMOS
IF (nVal := FT_INP(PORT_71h)) != 0
  Search_Flop (aFlop, INT(nVal / 16), "A:")
  Search_Flop (aFlop, INT(nVal % 16), "B:")
ELSE
  AADD(aFlop, "Error") 
ENDIF
RETURN(aFlop)


***
*  To search the floppy drive type and size
***
STATIC FUNCTION SEARCH_FLOP(aFlop, nVal, cFlop)
IF nVal != 0
  IF nVal     == 1
    AADD(aFlop, cFlop + " 5.25'' - 360 KB")
  ELSEIF nVal == 2
    AADD(aFlop, cFlop + " 5.25'' - 1.2 MB")
  ELSEIF nVal == 3
    AADD(aFlop, cFlop + " 3.5''  - 720 KB")
  ELSEIF nVal == 4
    AADD(aFlop, cFlop + " 3.5''  - 1.44 MB")
  ELSEIF nVal == 5
    AADD(aFlop, cFlop + " 3.5''  - 2.88 MB")
  ELSE
    AADD(aFlop, cFlop + " ?")
  ENDIF
ENDIF
RETURN (NIL)


